package cn.palmte.work.bean;

import java.math.BigDecimal;

/**
 * 预算页面
 * @author xiongshiyan at 2021/11/1 , contact me with email yanshixiong@126.com or phone 15208384257
 */
public class BudgetBean extends IncomeCostBean{
    /**
     * 总的采购成本不含税
     */
    private BigDecimal costPurchaseTotalTaxExclude;
    /**
     * 总的采购成本含税
     */
    private BigDecimal costPurchaseTotalTaxInclude;
    /**
     * null就返回0
     */
    @Override
    protected BigDecimal handleSpecial(BigDecimal src) {
        return null == src ? new BigDecimal(0) : src;
    }

    public BigDecimal getCostPurchaseTotalTaxExclude() {
        return handleSpecial(costPurchaseTotalTaxExclude);
    }

    public void setCostPurchaseTotalTaxExclude(BigDecimal costPurchaseTotalTaxExclude) {
        this.costPurchaseTotalTaxExclude = costPurchaseTotalTaxExclude;
    }

    public BigDecimal getCostPurchaseTotalTaxInclude() {
        return handleSpecial(costPurchaseTotalTaxInclude);
    }

    public void setCostPurchaseTotalTaxInclude(BigDecimal costPurchaseTotalTaxInclude) {
        this.costPurchaseTotalTaxInclude = costPurchaseTotalTaxInclude;
    }
}
